<?php echo "<?php\n"; ?>
/********************************************************************/
/* @copyright Copyright (c) 2012-<?php echo date('Y')?>, YOUR COPYRIGHT NAME                 */
/********************************************************************/
<?php
/**
 * This is the template for generating the model class of a specified table.
 * - $this: the ModelCode object
 * - $tableName: the table name for this class (prefix is already removed if necessary)
 * - $modelClass: the model class name
 * - $columns: list of table columns (name=>CDbColumnSchema)
 * - $labels: list of attribute labels (name=>label)
 * - $rules: list of validation rules
 * - $relations: list of relations (name=>relation declaration)
 */
?>
Yii::import('<?php echo "{$this->baseModelPath}.{$this->baseModelClass}"; ?>');
/**
 * <?php echo $modelClass; ?>: model class for the table <?php echo $tableName."\n"; ?>
 *
 * The following are available application defined scopes:
 *   No scopes.
 *
 */
class <?php echo $modelClass; ?> extends <?php echo $this->baseModelClass." {"; ?>

    /**
     * @param string $className
     * @return <?php echo $modelClass."\n"; ?>
     */
    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    /**
     * (non-PHPdoc)
     * @see CActiveRecord::init()
     */
    public function init() {
        return parent::init();
    }

    /**
     * (non-PHPdoc)
     * @see <?php echo $this->baseModelClass; ?>::behaviors()
     */
     public function behaviors() {
        $behaviors=parent::behaviors();
        //$behaviors['relatedsearch']['relations']['entity_displayname']='entity.displayname';
        //$behaviors['relatedsearch']['relations']['entity_displayname']=array('field'=>'relation.field','searchvalue'=>'localVar','value'=>'relation.field');
        return $behaviors;
    }

    /**
     * Add automatic scopes for attributes (uses RelatedSearchBehavior).
     */
	public function __call($name,$parameters) {
	    try {
	        return parent::__call($name,$parameters);
	    } catch (CException $e) {
	        if(preg_match(
	                '/'.Yii::t(
	                        'yii',
	                        quotemeta(
	                                Yii::t(
	                                        'yii',
	                                        '{class} and its behaviors do not have a method or closure named "{name}".'
                                    )
                            ),
                            array('{class}'=>'.*','{name}'=>'.*')
                    )
	                .'/',$e->getMessage())) {
	            return $this->autoScope($name, $parameters);
	        } else {
	            throw $e;
	        }
	    }
	}

	/**
     * (non-PHPdoc)
     * @see CActiveRecord::scopes()
     */
    public function scopes() {
        $table=$this->getTableAlias(false,false);
        $ds=$this->getDbConnection()->getSchema();
        //$ACOLUMN=$ds->quoteColumnName($table.'.'.self::ACOLUMN);
        return array(
        );
	}
}